Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterConfigurationView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterConfigurationView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterConfigurationView.Designer.cs	(revision 5832)
@@ -45,45 +45,11 @@
     /// </summary>
     private void InitializeComponent() {
-      this.valueGroupBox = new System.Windows.Forms.GroupBox();
       this.configureButton = new System.Windows.Forms.CheckBox();
-      this.showInRunCheckBox = new System.Windows.Forms.CheckBox();
-      this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.valueComboBox = new System.Windows.Forms.ComboBox();
-      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.valueGroupBox.SuspendLayout();
       this.SuspendLayout();
       // 
-      // dataTypeTextBox
-      // 
-      this.dataTypeTextBox.Location = new System.Drawing.Point(80, 52);
-      this.dataTypeTextBox.Size = new System.Drawing.Size(306, 20);
-      // 
-      // nameTextBox
-      // 
-      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Location = new System.Drawing.Point(80, 0);
-      this.nameTextBox.Size = new System.Drawing.Size(306, 20);
-      // 
-      // descriptionTextBox
-      // 
-      this.descriptionTextBox.Location = new System.Drawing.Point(80, 26);
-      this.descriptionTextBox.Size = new System.Drawing.Size(306, 20);
-      // 
       // valueGroupBox
       // 
-      this.valueGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
       this.valueGroupBox.Controls.Add(this.configureButton);
-      this.valueGroupBox.Controls.Add(this.showInRunCheckBox);
-      this.valueGroupBox.Controls.Add(this.viewHost);
-      this.valueGroupBox.Controls.Add(this.valueComboBox);
-      this.valueGroupBox.Location = new System.Drawing.Point(0, 78);
-      this.valueGroupBox.Name = "valueGroupBox";
-      this.valueGroupBox.Size = new System.Drawing.Size(386, 237);
-      this.valueGroupBox.TabIndex = 6;
-      this.valueGroupBox.TabStop = false;
-      this.valueGroupBox.Text = "Value";
       // 
       // configureButton
@@ -105,62 +71,18 @@
       // showInRunCheckBox
       // 
-      this.showInRunCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.showInRunCheckBox.AutoSize = true;
-      this.showInRunCheckBox.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
-      this.showInRunCheckBox.Checked = true;
-      this.showInRunCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
-      this.showInRunCheckBox.Location = new System.Drawing.Point(290, 21);
-      this.showInRunCheckBox.Name = "showInRunCheckBox";
-      this.showInRunCheckBox.Size = new System.Drawing.Size(90, 17);
       this.showInRunCheckBox.TabIndex = 2;
-      this.showInRunCheckBox.Text = "&Show in Run:";
-      this.toolTip.SetToolTip(this.showInRunCheckBox, "Check to show the value of this parameter in each run.");
-      this.showInRunCheckBox.UseVisualStyleBackColor = true;
-      this.showInRunCheckBox.CheckedChanged += new System.EventHandler(this.showInRunCheckBox_CheckedChanged);
       // 
       // viewHost
       // 
-      this.viewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.viewHost.Caption = "View";
-      this.viewHost.Content = null;
-      this.viewHost.Enabled = false;
-      this.viewHost.Location = new System.Drawing.Point(6, 46);
-      this.viewHost.Name = "viewHost";
-      this.viewHost.ReadOnly = false;
-      this.viewHost.Size = new System.Drawing.Size(374, 185);
       this.viewHost.TabIndex = 3;
-      this.viewHost.ViewsLabelVisible = true;
-      this.viewHost.ViewType = null;
       // 
       // valueComboBox
       // 
-      this.valueComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.valueComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-      this.valueComboBox.FormattingEnabled = true;
-      this.valueComboBox.Location = new System.Drawing.Point(6, 19);
-      this.valueComboBox.Name = "valueComboBox";
       this.valueComboBox.Size = new System.Drawing.Size(248, 21);
       this.valueComboBox.TabIndex = 0;
-      this.toolTip.SetToolTip(this.valueComboBox, "Selected Value");
-      this.valueComboBox.SelectedIndexChanged += new System.EventHandler(this.valueComboBox_SelectedIndexChanged);
       // 
       // ConstrainedValueParameterConfigurationView
       // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.valueGroupBox);
       this.Name = "ConstrainedValueParameterConfigurationView";
-      this.Size = new System.Drawing.Size(386, 315);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
-      this.Controls.SetChildIndex(this.dataTypeTextBox, 0);
-      this.Controls.SetChildIndex(this.dataTypeLabel, 0);
-      this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.valueGroupBox, 0);
-      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
       this.valueGroupBox.ResumeLayout(false);
       this.valueGroupBox.PerformLayout();
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.Designer.cs	(revision 5832)
@@ -53,8 +53,14 @@
       this.SuspendLayout();
       // 
+      // dataTypeLabel
+      // 
+      this.dataTypeLabel.Location = new System.Drawing.Point(3, 29);
+      this.dataTypeLabel.TabIndex = 3;
+      // 
       // dataTypeTextBox
       // 
-      this.dataTypeTextBox.Location = new System.Drawing.Point(80, 52);
-      this.dataTypeTextBox.Size = new System.Drawing.Size(306, 20);
+      this.dataTypeTextBox.Location = new System.Drawing.Point(69, 26);
+      this.dataTypeTextBox.Size = new System.Drawing.Size(317, 20);
+      this.dataTypeTextBox.TabIndex = 4;
       // 
       // nameTextBox
@@ -62,11 +68,10 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Location = new System.Drawing.Point(80, 0);
-      this.nameTextBox.Size = new System.Drawing.Size(306, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(69, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(292, 20);
       // 
-      // descriptionTextBox
+      // infoLabel
       // 
-      this.descriptionTextBox.Location = new System.Drawing.Point(80, 26);
-      this.descriptionTextBox.Size = new System.Drawing.Size(306, 20);
+      this.infoLabel.Location = new System.Drawing.Point(367, 3);
       // 
       // valueGroupBox
@@ -78,8 +83,8 @@
       this.valueGroupBox.Controls.Add(this.viewHost);
       this.valueGroupBox.Controls.Add(this.valueComboBox);
-      this.valueGroupBox.Location = new System.Drawing.Point(0, 78);
+      this.valueGroupBox.Location = new System.Drawing.Point(0, 52);
       this.valueGroupBox.Name = "valueGroupBox";
-      this.valueGroupBox.Size = new System.Drawing.Size(386, 237);
-      this.valueGroupBox.TabIndex = 6;
+      this.valueGroupBox.Size = new System.Drawing.Size(386, 263);
+      this.valueGroupBox.TabIndex = 5;
       this.valueGroupBox.TabStop = false;
       this.valueGroupBox.Text = "Value";
@@ -108,9 +113,11 @@
       this.viewHost.Caption = "View";
       this.viewHost.Content = null;
+      this.viewHost.Enabled = false;
       this.viewHost.Location = new System.Drawing.Point(6, 46);
       this.viewHost.Name = "viewHost";
       this.viewHost.ReadOnly = false;
-      this.viewHost.Size = new System.Drawing.Size(374, 185);
+      this.viewHost.Size = new System.Drawing.Size(374, 211);
       this.viewHost.TabIndex = 2;
+      this.viewHost.ViewsLabelVisible = true;
       this.viewHost.ViewType = null;
       // 
@@ -135,6 +142,5 @@
       this.Name = "ConstrainedValueParameterView";
       this.Size = new System.Drawing.Size(386, 315);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.dataTypeTextBox, 0);
       this.Controls.SetChildIndex(this.dataTypeLabel, 0);
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/LookupParameterView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/LookupParameterView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/LookupParameterView.Designer.cs	(revision 5832)
@@ -52,12 +52,11 @@
       // dataTypeLabel
       // 
-      this.dataTypeLabel.Location = new System.Drawing.Point(3, 81);
-      this.dataTypeLabel.TabIndex = 6;
+      this.dataTypeLabel.TabIndex = 5;
       // 
       // dataTypeTextBox
       // 
-      this.dataTypeTextBox.Location = new System.Drawing.Point(80, 78);
+      this.dataTypeTextBox.Location = new System.Drawing.Point(80, 52);
       this.dataTypeTextBox.Size = new System.Drawing.Size(306, 20);
-      this.dataTypeTextBox.TabIndex = 7;
+      this.dataTypeTextBox.TabIndex = 6;
       // 
       // nameTextBox
@@ -66,16 +65,9 @@
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
       this.nameTextBox.Location = new System.Drawing.Point(80, 0);
-      this.nameTextBox.Size = new System.Drawing.Size(306, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(281, 20);
       // 
-      // descriptionLabel
+      // infoLabel
       // 
-      this.descriptionLabel.Location = new System.Drawing.Point(3, 55);
-      this.descriptionLabel.TabIndex = 4;
-      // 
-      // descriptionTextBox
-      // 
-      this.descriptionTextBox.Location = new System.Drawing.Point(80, 52);
-      this.descriptionTextBox.Size = new System.Drawing.Size(306, 20);
-      this.descriptionTextBox.TabIndex = 5;
+      this.infoLabel.Location = new System.Drawing.Point(367, 3);
       // 
       // actualNameTextBox
@@ -86,5 +78,5 @@
       this.actualNameTextBox.Name = "actualNameTextBox";
       this.actualNameTextBox.Size = new System.Drawing.Size(306, 20);
-      this.actualNameTextBox.TabIndex = 3;
+      this.actualNameTextBox.TabIndex = 4;
       this.actualNameTextBox.Validated += new System.EventHandler(this.actualNameTextBox_Validated);
       // 
@@ -95,5 +87,5 @@
       this.actualNameLabel.Name = "actualNameLabel";
       this.actualNameLabel.Size = new System.Drawing.Size(71, 13);
-      this.actualNameLabel.TabIndex = 2;
+      this.actualNameLabel.TabIndex = 3;
       this.actualNameLabel.Text = "&Actual Name:";
       // 
@@ -105,9 +97,8 @@
       this.Controls.Add(this.actualNameLabel);
       this.Name = "LookupParameterView";
-      this.Size = new System.Drawing.Size(386, 105);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
+      this.Size = new System.Drawing.Size(386, 76);
       this.Controls.SetChildIndex(this.dataTypeTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.dataTypeLabel, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.actualNameLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ParameterView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ParameterView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ParameterView.Designer.cs	(revision 5832)
@@ -54,17 +54,18 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(321, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(69, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(299, 20);
       // 
-      // descriptionTextBox
+      // infoLabel
       // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(321, 20);
+      this.infoLabel.Location = new System.Drawing.Point(374, 3);
       // 
       // dataTypeLabel
       // 
       this.dataTypeLabel.AutoSize = true;
-      this.dataTypeLabel.Location = new System.Drawing.Point(3, 55);
+      this.dataTypeLabel.Location = new System.Drawing.Point(3, 29);
       this.dataTypeLabel.Name = "dataTypeLabel";
       this.dataTypeLabel.Size = new System.Drawing.Size(60, 13);
-      this.dataTypeLabel.TabIndex = 4;
+      this.dataTypeLabel.TabIndex = 3;
       this.dataTypeLabel.Text = "Data &Type:";
       // 
@@ -73,9 +74,9 @@
       this.dataTypeTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.dataTypeTextBox.Location = new System.Drawing.Point(72, 52);
+      this.dataTypeTextBox.Location = new System.Drawing.Point(69, 26);
       this.dataTypeTextBox.Name = "dataTypeTextBox";
       this.dataTypeTextBox.ReadOnly = true;
-      this.dataTypeTextBox.Size = new System.Drawing.Size(321, 20);
-      this.dataTypeTextBox.TabIndex = 5;
+      this.dataTypeTextBox.Size = new System.Drawing.Size(324, 20);
+      this.dataTypeTextBox.TabIndex = 4;
       // 
       // ParameterView
@@ -86,8 +87,7 @@
       this.Controls.Add(this.dataTypeTextBox);
       this.Name = "ParameterView";
-      this.Size = new System.Drawing.Size(393, 79);
+      this.Size = new System.Drawing.Size(393, 50);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.dataTypeTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ScopeTreeLookupParameterView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ScopeTreeLookupParameterView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ScopeTreeLookupParameterView.Designer.cs	(revision 5832)
@@ -54,12 +54,11 @@
       // dataTypeLabel
       // 
-      this.dataTypeLabel.Location = new System.Drawing.Point(3, 81);
-      this.dataTypeLabel.TabIndex = 6;
+      this.dataTypeLabel.TabIndex = 5;
       // 
       // dataTypeTextBox
       // 
-      this.dataTypeTextBox.Location = new System.Drawing.Point(80, 78);
+      this.dataTypeTextBox.Location = new System.Drawing.Point(80, 52);
       this.dataTypeTextBox.Size = new System.Drawing.Size(306, 20);
-      this.dataTypeTextBox.TabIndex = 7;
+      this.dataTypeTextBox.TabIndex = 6;
       // 
       // nameTextBox
@@ -68,16 +67,9 @@
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
       this.nameTextBox.Location = new System.Drawing.Point(80, 0);
-      this.nameTextBox.Size = new System.Drawing.Size(306, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(281, 20);
       // 
-      // descriptionLabel
+      // infoLabel
       // 
-      this.descriptionLabel.Location = new System.Drawing.Point(3, 55);
-      this.descriptionLabel.TabIndex = 4;
-      // 
-      // descriptionTextBox
-      // 
-      this.descriptionTextBox.Location = new System.Drawing.Point(80, 52);
-      this.descriptionTextBox.Size = new System.Drawing.Size(306, 20);
-      this.descriptionTextBox.TabIndex = 5;
+      this.infoLabel.Location = new System.Drawing.Point(367, 3);
       // 
       // depthTextBox
@@ -87,19 +79,19 @@
       this.errorProvider.SetIconAlignment(this.depthTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.depthTextBox, 2);
-      this.depthTextBox.Location = new System.Drawing.Point(80, 104);
+      this.depthTextBox.Location = new System.Drawing.Point(80, 78);
       this.depthTextBox.Name = "depthTextBox";
       this.depthTextBox.Size = new System.Drawing.Size(306, 20);
-      this.depthTextBox.TabIndex = 9;
-      this.depthTextBox.Validated += new System.EventHandler(this.depthTextBox_Validated);
+      this.depthTextBox.TabIndex = 8;
       this.depthTextBox.KeyDown += new System.Windows.Forms.KeyEventHandler(this.depthTextBox_KeyDown);
       this.depthTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.depthTextBox_Validating);
+      this.depthTextBox.Validated += new System.EventHandler(this.depthTextBox_Validated);
       // 
       // depthLabel
       // 
       this.depthLabel.AutoSize = true;
-      this.depthLabel.Location = new System.Drawing.Point(3, 107);
+      this.depthLabel.Location = new System.Drawing.Point(3, 81);
       this.depthLabel.Name = "depthLabel";
       this.depthLabel.Size = new System.Drawing.Size(39, 13);
-      this.depthLabel.TabIndex = 8;
+      this.depthLabel.TabIndex = 7;
       this.depthLabel.Text = "&Depth:";
       // 
@@ -111,5 +103,5 @@
       this.actualNameTextBox.Name = "actualNameTextBox";
       this.actualNameTextBox.Size = new System.Drawing.Size(306, 20);
-      this.actualNameTextBox.TabIndex = 3;
+      this.actualNameTextBox.TabIndex = 4;
       this.actualNameTextBox.Validated += new System.EventHandler(this.actualNameTextBox_Validated);
       // 
@@ -120,5 +112,5 @@
       this.actualNameLabel.Name = "actualNameLabel";
       this.actualNameLabel.Size = new System.Drawing.Size(71, 13);
-      this.actualNameLabel.TabIndex = 2;
+      this.actualNameLabel.TabIndex = 3;
       this.actualNameLabel.Text = "&Actual Name:";
       // 
@@ -128,17 +120,16 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.Controls.Add(this.actualNameTextBox);
+      this.Controls.Add(this.actualNameLabel);
+      this.Controls.Add(this.depthLabel);
       this.Controls.Add(this.depthTextBox);
-      this.Controls.Add(this.depthLabel);
-      this.Controls.Add(this.actualNameLabel);
       this.Name = "ScopeTreeLookupParameterView";
-      this.Size = new System.Drawing.Size(386, 132);
+      this.Size = new System.Drawing.Size(386, 103);
+      this.Controls.SetChildIndex(this.dataTypeTextBox, 0);
+      this.Controls.SetChildIndex(this.depthTextBox, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
+      this.Controls.SetChildIndex(this.depthLabel, 0);
+      this.Controls.SetChildIndex(this.dataTypeLabel, 0);
       this.Controls.SetChildIndex(this.actualNameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
-      this.Controls.SetChildIndex(this.dataTypeTextBox, 0);
-      this.Controls.SetChildIndex(this.depthLabel, 0);
-      this.Controls.SetChildIndex(this.depthTextBox, 0);
       this.Controls.SetChildIndex(this.actualNameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
-      this.Controls.SetChildIndex(this.dataTypeLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.Designer.cs	(revision 5832)
@@ -47,12 +47,11 @@
       // dataTypeLabel
       // 
-      this.dataTypeLabel.Location = new System.Drawing.Point(3, 81);
-      this.dataTypeLabel.TabIndex = 6;
+      this.dataTypeLabel.TabIndex = 5;
       // 
       // dataTypeTextBox
       // 
-      this.dataTypeTextBox.Location = new System.Drawing.Point(80, 78);
+      this.dataTypeTextBox.Location = new System.Drawing.Point(80, 52);
       this.dataTypeTextBox.Size = new System.Drawing.Size(306, 20);
-      this.dataTypeTextBox.TabIndex = 7;
+      this.dataTypeTextBox.TabIndex = 6;
       // 
       // nameTextBox
@@ -61,16 +60,9 @@
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
       this.nameTextBox.Location = new System.Drawing.Point(80, 0);
-      this.nameTextBox.Size = new System.Drawing.Size(306, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(281, 20);
       // 
-      // descriptionLabel
+      // infoLabel
       // 
-      this.descriptionLabel.Location = new System.Drawing.Point(3, 55);
-      this.descriptionLabel.TabIndex = 4;
-      // 
-      // descriptionTextBox
-      // 
-      this.descriptionTextBox.Location = new System.Drawing.Point(80, 52);
-      this.descriptionTextBox.Size = new System.Drawing.Size(306, 20);
-      this.descriptionTextBox.TabIndex = 5;
+      this.infoLabel.Location = new System.Drawing.Point(367, 3);
       // 
       // valueGroupBox
@@ -84,8 +76,8 @@
       this.valueGroupBox.Controls.Add(this.clearValueButton);
       this.valueGroupBox.Controls.Add(this.setValueButton);
-      this.valueGroupBox.Location = new System.Drawing.Point(0, 104);
+      this.valueGroupBox.Location = new System.Drawing.Point(0, 78);
       this.valueGroupBox.Name = "valueGroupBox";
-      this.valueGroupBox.Size = new System.Drawing.Size(386, 211);
-      this.valueGroupBox.TabIndex = 8;
+      this.valueGroupBox.Size = new System.Drawing.Size(386, 237);
+      this.valueGroupBox.TabIndex = 7;
       this.valueGroupBox.TabStop = false;
       this.valueGroupBox.Text = "Value";
@@ -116,11 +108,12 @@
       this.valueViewHost.Caption = "View";
       this.valueViewHost.Content = null;
+      this.valueViewHost.Enabled = false;
       this.valueViewHost.Location = new System.Drawing.Point(6, 49);
       this.valueViewHost.Name = "valueViewHost";
       this.valueViewHost.ReadOnly = false;
-      this.valueViewHost.Size = new System.Drawing.Size(374, 156);
+      this.valueViewHost.Size = new System.Drawing.Size(374, 182);
       this.valueViewHost.TabIndex = 3;
+      this.valueViewHost.ViewsLabelVisible = true;
       this.valueViewHost.ViewType = null;
-
       // 
       // clearValueButton
@@ -154,5 +147,5 @@
       this.actualNameTextBox.Name = "actualNameTextBox";
       this.actualNameTextBox.Size = new System.Drawing.Size(306, 20);
-      this.actualNameTextBox.TabIndex = 3;
+      this.actualNameTextBox.TabIndex = 4;
       this.actualNameTextBox.Validated += new System.EventHandler(this.actualNameTextBox_Validated);
       // 
@@ -163,5 +156,5 @@
       this.actualNameLabel.Name = "actualNameLabel";
       this.actualNameLabel.Size = new System.Drawing.Size(71, 13);
-      this.actualNameLabel.TabIndex = 2;
+      this.actualNameLabel.TabIndex = 3;
       this.actualNameLabel.Text = "&Actual Name:";
       // 
@@ -175,6 +168,5 @@
       this.Name = "ValueLookupParameterView";
       this.Size = new System.Drawing.Size(386, 315);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.dataTypeTextBox, 0);
       this.Controls.SetChildIndex(this.dataTypeLabel, 0);
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.Designer.cs	(revision 5832)
@@ -43,8 +43,14 @@
       this.SuspendLayout();
       // 
+      // dataTypeLabel
+      // 
+      this.dataTypeLabel.Location = new System.Drawing.Point(3, 29);
+      this.dataTypeLabel.TabIndex = 3;
+      // 
       // dataTypeTextBox
       // 
-      this.dataTypeTextBox.Location = new System.Drawing.Point(80, 52);
-      this.dataTypeTextBox.Size = new System.Drawing.Size(306, 20);
+      this.dataTypeTextBox.Location = new System.Drawing.Point(69, 26);
+      this.dataTypeTextBox.Size = new System.Drawing.Size(317, 20);
+      this.dataTypeTextBox.TabIndex = 4;
       // 
       // nameTextBox
@@ -52,11 +58,10 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Location = new System.Drawing.Point(80, 0);
-      this.nameTextBox.Size = new System.Drawing.Size(306, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(69, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(292, 20);
       // 
-      // descriptionTextBox
+      // infoLabel
       // 
-      this.descriptionTextBox.Location = new System.Drawing.Point(80, 26);
-      this.descriptionTextBox.Size = new System.Drawing.Size(306, 20);
+      this.infoLabel.Location = new System.Drawing.Point(367, 3);
       // 
       // valueGroupBox
@@ -70,8 +75,8 @@
       this.valueGroupBox.Controls.Add(this.clearValueButton);
       this.valueGroupBox.Controls.Add(this.setValueButton);
-      this.valueGroupBox.Location = new System.Drawing.Point(0, 78);
+      this.valueGroupBox.Location = new System.Drawing.Point(0, 52);
       this.valueGroupBox.Name = "valueGroupBox";
-      this.valueGroupBox.Size = new System.Drawing.Size(386, 237);
-      this.valueGroupBox.TabIndex = 6;
+      this.valueGroupBox.Size = new System.Drawing.Size(386, 263);
+      this.valueGroupBox.TabIndex = 5;
       this.valueGroupBox.TabStop = false;
       this.valueGroupBox.Text = "Value";
@@ -103,9 +108,11 @@
       this.valueViewHost.Caption = "View";
       this.valueViewHost.Content = null;
+      this.valueViewHost.Enabled = false;
       this.valueViewHost.Location = new System.Drawing.Point(6, 49);
       this.valueViewHost.Name = "valueViewHost";
       this.valueViewHost.ReadOnly = false;
-      this.valueViewHost.Size = new System.Drawing.Size(374, 182);
+      this.valueViewHost.Size = new System.Drawing.Size(374, 208);
       this.valueViewHost.TabIndex = 3;
+      this.valueViewHost.ViewsLabelVisible = true;
       this.valueViewHost.ViewType = null;
       // 
@@ -140,6 +147,5 @@
       this.Name = "ValueParameterView";
       this.Size = new System.Drawing.Size(386, 315);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.dataTypeTextBox, 0);
       this.Controls.SetChildIndex(this.dataTypeLabel, 0);
